# NOTE: g++ eats 700+MB of memory
#
# Conditional build:
%bcond_with	gomp	# OpenMP support (incompatible with image-cache)
#
Summary:	Image blending with multiresolution splines
Summary(pl.UTF-8):	Łączenie zdjęć przy użyciu splajnów wielokrotnej rozdzielczości
Name:		enblend-enfuse
Version:	4.1.2
Release:	11
License:	GPL v2+
Group:		Applications/Graphics
Source0:	http://downloads.sourceforge.net/enblend/%{name}-%{version}.tar.gz
# Source0-md5:	5b609ddfc9fae5fadf65d29c08e0340e
Patch0:		%{name}-info.patch
Patch1:		%{name}-texinfo.patch
URL:		http://enblend.sourceforge.net/
BuildRequires:	OpenEXR-devel >= 1.0
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	OpenGL-glut-devel
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	boost-devel >= 1.35.0
%{?with_gomp:BuildRequires:	gcc-c++ >= 6:4.2}
BuildRequires:	glew-devel
BuildRequires:	gsl-devel
BuildRequires:	help2man
BuildRequires:	gnuplot
BuildRequires:	lcms2-devel >= 2
%{?with_gomp:BuildRequires:	libgomp-devel}
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel >= 5:3.4
BuildRequires:	libtiff-devel
BuildRequires:	libxmi-devel
BuildRequires:	pkgconfig
BuildRequires:	texinfo
BuildRequires:	tidy
BuildRequires:	transfig
BuildRequires:	vigra-devel >= 1.8
BuildRequires:	zlib-devel
Requires:	vigra >= 1.8
Provides:	enblend = %{version}
Obsoletes:	enblend
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Enblend is a tool for compositing images. Given a set of images that
overlap in some irregular way, Enblend overlays them in such a way
that the seam between the images is invisible, or at least very
difficult to see. Enblend does not line up the images for you. Use a
tool like Hugin to do that.

%description -l pl.UTF-8
Enblend to narzędzie do łączenia zdjęć. Po przekazaniu zbioru zdjęć
nachodzących na siebie w jakiś nieregularny sposób Enblend nakłada je
w taki sposób, że połączenia między zdjęciami są niewidoczne, albo
przynajmniej bardzo trudne do zobaczenia. Enblend nie wyrównuje zdjęć
- do tego można użyć narzędzia takiego jak Hugin.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%{__sed} -i -e 's/src:://g;s/CFG::/CFG_/g' doc/*.texi doc/define2set.pl configure.in

%build
%{__aclocal} -I m4
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	%{?with_gomp:--enable-openmp --disable-image-cache}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/enblend
%attr(755,root,root) %{_bindir}/enfuse
%{_mandir}/man1/enblend.1*
%{_mandir}/man1/enfuse.1*
%{_infodir}/enblend.info*
%{_infodir}/enfuse.info*
%changelog
* Wed Jul 15 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/enblend-enfuse.git;a=log;h=master

* Wed Jul 15 2015 Jan Rękorajski <baggins@pld-linux.org> f0048ef
- release 11 (by relup.sh)

* Wed Jun 10 2015 Jan Rękorajski <baggins@pld-linux.org> 8a0a607
- release 10 (by relup.sh)

* Mon Feb 16 2015 Jan Rękorajski <baggins@pld-linux.org> 2fe6dce
- rebuild with boost 1.57.0
- release 9 (by relup.sh)

* Sat Oct 25 2014 Jan Rękorajski <baggins@pld-linux.org> 8946ece
- rebuild with boost 1.56.0
- release 8 (by relup.sh)

* Mon Feb 03 2014 Jan Rękorajski <baggins@pld-linux.org> ce603cc
- gnuplot is needed for building docs
- rel 7

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> 4d416d3
- fix building docs
- rel 6

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> 9d3dced
- - rebuild with boost 1.55.0
- release 5 (by relup.sh)

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> be308d6
- - rebuild with boost 1.55.0
- release 4 (by relup.sh)

* Wed Jan 22 2014 Jan Rękorajski <baggins@pld-linux.org> 7353c2e
- release 3 (by relup.sh)

* Sun Jan 19 2014 Jan Rękorajski <baggins@pld-linux.org> 899b909
- release 2 (by relup.sh)

* Thu Jan 09 2014 Jakub Bogusz <qboosh@pld-linux.org> 94891f9
- updated to 4.1.2

* Sat Jul 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 9697142
- release 2

* Sat Jul 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 6abb79c
- added texinfo patch with some workarounds for texinfo 5.x; also avoid ":" in @set variables

* Thu Apr 04 2013 Jakub Bogusz <qboosh@pld-linux.org> d35a24f
- updated BRs

* Thu Apr 04 2013 Jan Rękorajski <baggins@pld-linux.org> 7ede00a
- updated to 4.1.1
- removed obsolete patches

* Sun Mar 25 2012 sparky <sparky@pld-linux.org> 0ef9e37
- added libpng 1.5 patch (found in arch linux)

* Tue Jan 31 2012 lisu <lisu@pld-linux.org> 55b7c81
- BR: transfig (needed to build whole documentation)

* Mon Jan 30 2012 lisu <lisu@pld-linux.org> a0303e4
- rel 2

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> cd9b99d
- added info patch

* Sun Mar 14 2010 sparky <sparky@pld-linux.org> dd442f7
- BR: help2man

